GrailsFlashScope (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet
[Java] Class GrailsFlashScope

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.GrailsFlashScope

All Implemented Interfaces:
  FlashScope

    @java.lang.SuppressWarnings({"unchecked","rawtypes"})
    public class GrailsFlashScope
    extends java.lang.Object

Grails implementation of Flash scope (

Authors:
  Graeme Rocher

See Also:
  FlashScope

Field Summary
`static java.lang.String` | `ERRORS_PREFIX`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object key)`
`java.util.Map` | `getNow()`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`void` | `next()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map t)`
`java.lang.Object` | `remove(java.lang.Object key)`
`int` | `size()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ERRORS_PREFIX

    public static final java.lang.String ERRORS_PREFIX

Method Detail

### clear

    public void clear()

### containsKey

    public boolean containsKey(java.lang.Object key)

### containsValue

    public boolean containsValue(java.lang.Object value)

### entrySet

    public java.util.Set entrySet()

### get

    public java.lang.Object get(java.lang.Object key)

### getNow

    public java.util.Map getNow()

### isEmpty

    public boolean isEmpty()

### keySet

    public java.util.Set keySet()

### next

    public void next()

### put

    public java.lang.Object put(java.lang.Object key, java.lang.Object value)

### putAll

    public void putAll(java.util.Map t)

### remove

    public java.lang.Object remove(java.lang.Object key)

### size

    public int size()

### values

    public java.util.Collection values()

Groovy Documentation